Kaspersky Antivirus PE File Handling Denial of Service

Affected Software:
Kaspersky Anti-Virus 4.x
Kaspersky Anti-Virus 5.x
Kaspersky Anti-Virus 6.x
Kaspersky Internet Security 6.x
Kaspersky SMTP Gateway 5.x


Description:
A vulnerability has been reported in Kaspersky Antivirus, which can be exploited by malicious people to cause a DoS (Denial of Service).


The vulnerability is caused due to an error in the scan engine when processing PE files. This can be exploited to cause an endless loop via a specially crafted PE file containing an invalid value in the “NumberOfRvaAndSizes” field within the Optional Windows Header section.


Successful exploitation prevents further scanning of files.


The vulnerability is reported in version 6.0 for Windows and 5.5-10 for Linux of the scan engine. Prior versions may also be affected.


Solution: According to the vendor, all affected products are updated automatically via the regular signature-update functionality.


Provided and/or discovered by:
Discovered by an anonymous person and reported via iDefense Labs.


Original Advisory:
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=459


http://secunia.com/advisories/23575/

Leave a Reply